package com.aimluck.eip.exttimecard.util;

import java.util.Date;

public class CalculateDate {

  // 休憩時間
  private String rest_time;

  // 直接作業時間
  private String work_time;

  // 時間外普通
  private String ordinary_time;

  // 時間外深夜
  private String night_time;

  // 時間外法定休日
  private String legal_holiday_time;

  // 時間外休日深夜
  private String legal_holiday_night_time;

  // 時 間外法定外休日
  private String holiday_time;

  // 時 間外休日深夜
  private String holiday_night_time;

  // 遅刻早退時間
  private String late_early_time;

  public void initFile() {
    // 休憩時間
    rest_time = "";

    // 直接作業時間
    work_time = "";

    // 時間外普通
    ordinary_time = "";

    // 時間外深夜
    night_time = "";

    // 時間外法定休日
    legal_holiday_time = "";

    // 時間外休日深夜
    legal_holiday_night_time = "";

    // 時 間外法定外休日
    holiday_time = "";

    // 時 間外休日深夜
    holiday_night_time = "";

    // 遅刻早退時間
    late_early_time = "";
  }

  public void setAllDateOrTime(Date startTime, Date endTime,
      Date regulationStartTime, Date regulationEndTime) {

    // 休憩時間
    rest_time = "1";

    // 直接作業時間
    work_time = "2";

    // 時間外普通
    ordinary_time = "3";

    // 時間外深夜
    night_time = "4";

    // 時間外法定休日
    legal_holiday_time = "5";

    // 時間外休日深夜
    legal_holiday_night_time = "6";

    // 時 間外法定外休日
    holiday_time = "7";

    // 時 間外休日深夜
    holiday_night_time = "8";

    // 遅刻早退時間
    late_early_time = "9";

  }

  public String getRestTime() {
    return rest_time;
  }

  public void setRestTime(String rest_time) {
    this.rest_time = rest_time;
  }

  public String getWorkTime() {
    return work_time;
  }

  public void setWorkTime(String work_time) {
    this.work_time = work_time;
  }

  public String getOrdinaryTime() {
    return ordinary_time;
  }

  public void setOrdinaryTime(String ordinary_time) {
    this.ordinary_time = ordinary_time;
  }

  public String getNightTime() {
    return night_time;
  }

  public void setNightTime(String night_time) {
    this.night_time = night_time;
  }

  public String getLegalHolidayTime() {
    return legal_holiday_time;
  }

  public void setLegalHolidayTime(String legal_holiday_time) {
    this.legal_holiday_time = legal_holiday_time;
  }

  public String getLegalHolidayNightTime() {
    return legal_holiday_night_time;
  }

  public void setLegalHolidayNightTime(String legal_holiday_night_time) {
    this.legal_holiday_night_time = legal_holiday_night_time;
  }

  public String getHolidayTime() {
    return holiday_time;
  }

  public void setHolidayTime(String holiday_time) {
    this.holiday_time = holiday_time;
  }

  public String getHolidayNightTime() {
    return holiday_night_time;
  }

  public void setHolidayNightTime(String holiday_night_time) {
    this.holiday_night_time = holiday_night_time;
  }

  public String getLateEarlyTime() {
    return late_early_time;
  }

  public void setLateEarlyTime(String late_early_time) {
    this.late_early_time = late_early_time;
  }

}
